/* Demo showing all different types of symbols */

#include "forms.h"


FL_FORM *form;

FL_OBJECT
        *readyobj;


void create_form_form()
{
  FL_OBJECT *obj;
  form = fl_bgn_form(FL_NO_BOX,470.0,320.0);
  obj = fl_add_box(FL_UP_BOX,0.0,0.0,470.0,320.0,"");
    fl_set_object_color(obj,12,47);
  obj = fl_add_box(FL_SHADOW_BOX,290.0,130.0,70.0,70.0," @arrow");
    fl_set_object_align(obj,FL_ALIGN_BOTTOM);
  obj = fl_add_box(FL_SHADOW_BOX,20.0,30.0,70.0,70.0," @line");
    fl_set_object_align(obj,FL_ALIGN_BOTTOM);
  obj = fl_add_box(FL_SHADOW_BOX,110.0,30.0,70.0,70.0," @circle");
    fl_set_object_align(obj,FL_ALIGN_BOTTOM);
  obj = fl_add_box(FL_SHADOW_BOX,200.0,30.0,70.0,70.0," @square");
    fl_set_object_align(obj,FL_ALIGN_BOTTOM);
  obj = fl_add_box(FL_SHADOW_BOX,20.0,130.0,70.0,70.0," @->");
    fl_set_object_align(obj,FL_ALIGN_BOTTOM);
  obj = fl_add_box(FL_SHADOW_BOX,110.0,130.0,70.0,70.0," @>");
    fl_set_object_align(obj,FL_ALIGN_BOTTOM);
  obj = fl_add_box(FL_SHADOW_BOX,290.0,230.0,70.0,70.0," @<->");
    fl_set_object_align(obj,FL_ALIGN_BOTTOM);
  obj = fl_add_box(FL_SHADOW_BOX,200.0,130.0,70.0,70.0," @>>");
    fl_set_object_align(obj,FL_ALIGN_BOTTOM);
  obj = fl_add_box(FL_SHADOW_BOX,20.0,230.0,70.0,70.0," @<-");
    fl_set_object_align(obj,FL_ALIGN_BOTTOM);
  obj = fl_add_box(FL_SHADOW_BOX,110.0,230.0,70.0,70.0," @<");
    fl_set_object_align(obj,FL_ALIGN_BOTTOM);
  obj = fl_add_box(FL_SHADOW_BOX,200.0,230.0,70.0,70.0," @<<");
    fl_set_object_align(obj,FL_ALIGN_BOTTOM);
  obj = fl_add_box(FL_NO_BOX,20.0,230.0,70.0,70.0,"@<-");
    fl_set_object_lcol(obj,2);
  obj = fl_add_box(FL_NO_BOX,20.0,130.0,70.0,70.0,"@->");
    fl_set_object_lcol(obj,5);
  obj = fl_add_box(FL_NO_BOX,20.0,30.0,70.0,70.0,"@line");
    fl_set_object_lcol(obj,4);
  obj = fl_add_box(FL_NO_BOX,110.0,30.0,70.0,70.0,"@circle");
    fl_set_object_lcol(obj,4);
  obj = fl_add_box(FL_NO_BOX,200.0,30.0,70.0,70.0,"@square");
    fl_set_object_lcol(obj,4);
  obj = fl_add_box(FL_NO_BOX,110.0,130.0,70.0,70.0,"@>");
    fl_set_object_lcol(obj,5);
  obj = fl_add_box(FL_NO_BOX,110.0,230.0,70.0,70.0,"@<");
    fl_set_object_lcol(obj,2);
  obj = fl_add_box(FL_NO_BOX,200.0,230.0,70.0,70.0,"@<<");
    fl_set_object_lcol(obj,2);
  obj = fl_add_box(FL_NO_BOX,200.0,130.0,70.0,70.0,"@>>");
    fl_set_object_lcol(obj,5);
  obj = fl_add_box(FL_NO_BOX,290.0,230.0,70.0,70.0,"@<->");
    fl_set_object_lcol(obj,2);
  obj = fl_add_box(FL_NO_BOX,290.0,130.0,70.0,70.0,"@arrow");
    fl_set_object_lcol(obj,5);
  readyobj = obj = fl_add_button(FL_RETURN_BUTTON,340.0,20.0,110.0,30.0,"Ready");
    fl_set_object_color(obj,9,9);
  obj = fl_add_box(FL_SHADOW_BOX,380.0,230.0,70.0,70.0," @returnarrow");
    fl_set_object_align(obj,FL_ALIGN_BOTTOM);
  obj = fl_add_box(FL_NO_BOX,380.0,230.0,70.0,70.0,"@returnarrow");
    fl_set_object_lcol(obj,2);
  obj = fl_add_box(FL_SHADOW_BOX,380.0,130.0,70.0,70.0," @plus");
    fl_set_object_align(obj,FL_ALIGN_BOTTOM);
  obj = fl_add_box(FL_NO_BOX,380.0,130.0,70.0,70.0,"@plus");
    fl_set_object_lcol(obj,5);
  fl_end_form();
}

/*---------------------------------------*/

void create_the_forms()
{
  create_form_form();
}

/*=================== MAIN PROGRAM ====================*/

main()
{
  FL_OBJECT *obj;
  fl_init();
  create_the_forms();
  fl_show_form(form,FL_PLACE_CENTER,FALSE,NULL);
  do obj = fl_do_forms(); while (obj!=readyobj);
  fl_hide_form(form);
}
